#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-contacts
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        Akonadi Contacts Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

ExcludeArch:    armv5tl

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Mime)
# Optional
BuildRequires:  cmake(KF5Prison)

BuildRequires:  boost-devel

Requires:       qtwebengine5
# can be removed for mga8
Obsoletes:      kdepimlibs-core < 16.08.0

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Akonadi Contacts Integration.

%files -f %name.lang
%_sysconfdir/xdg/akonadi-contacts.categories
%_sysconfdir/xdg/contact-editor.categories
%_kf5_datadir/kf5/akonadi/contact/
%_kf5_services/akonadi/contact/
%_kf5_services/akonadicontact_actions.desktop
%_kf5_servicetypes/kaddressbookimprotocol.desktop
%_qt5_plugindir/kcm_akonadicontact_actions.so
%_qt5_plugindir/akonadi/contacts/plugins/categorieseditwidgetplugin.so

#--------------------------------------------------------------------

%define kf5akonadicontact_major 5
%define libkf5akonadicontact %mklibname kf5akonadicontact %{kf5akonadicontact_major}

%package -n %{libkf5akonadicontact}
Summary:      Akonadi Contacts Integration main library
Group:        System/Libraries

%description -n %{libkf5akonadicontact}
Akonadi Contacts Integration main library.

%files -n %{libkf5akonadicontact}
%_kf5_libdir/libKF5AkonadiContact.so.%{kf5akonadicontact_major}{,.*}

#--------------------------------------------------------------------

%define kf5contacteditor_major 5
%define libkf5contacteditor %mklibname kf5contacteditor %{kf5contacteditor_major}

%package -n %{libkf5contacteditor}
Summary:      Akonadi Contacts Integration main library
Group:        System/Libraries

%description -n %{libkf5contacteditor}
Akonadi Contacts Integration main library.

%files -n %{libkf5contacteditor}
%_kf5_libdir/libKF5ContactEditor.so.%{kf5contacteditor_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadicontact_devel %mklibname kf5akonadicontact -d

%package -n %{kf5akonadicontact_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadicontact} = %{version}-%{release}
Requires:       %{libkf5contacteditor} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadicontact_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadicontact_devel}
%_kf5_includedir/Akonadi/Contact/
%_kf5_includedir/akonadi/contact/
%_kf5_includedir/ContactEditor/
%_kf5_includedir/contacteditor/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiContact/
%_kf5_libdir/cmake/KF5ContactEditor/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202186
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089981
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Mon Dec 26 2016 daviddavid <daviddavid> 16.12.0-2.mga6
+ Revision: 1078103
- enable KF5Prison support
- requires qtwebengine5

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076716
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071935
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067252
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061311
- New version 16.08.2

* Tue Sep 20 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1054681
- Do not try to buil on armv5 as long as Qt5WebEngineWidgets does not exist

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050578
- New version 16.08.1

* Thu Sep 08 2016 neoclust <neoclust> 16.08.0-7.mga6
+ Revision: 1050483
- Fix update from older kde apps

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-6.mga6
+ Revision: 1050294
- Rebuild on release

* Thu Sep 01 2016 neoclust <neoclust> 16.08.0-5.mga6
+ Revision: 1049683
- Do not enable qtwebengine on armv5
- Rebuild for arm

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049141
- add a Conflicts with kdepimlibs-core < 16.04.3-2

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1048970
- fix main library name and devel package name

* Sun Aug 21 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047592
- imported package akonadi-contacts

